Bug 98584 - FILEOPEN draw:transform="skewY()" is totally wrong
Summary: FILEOPEN draw:transform="skewY()" is totally wrong
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Regina Henschel
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-10 16:19 UTC by Regina Henschel
Modified: 2020-01-21 00:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
shearY on rectangle and on curve (12.63 KB, application/vnd.oasis.opendocument.presentation)
2016-03-10 16:19 UTC, Regina Henschel
Details
image of how it should be imported (16.92 KB, image/png)
2016-03-10 16:20 UTC, Regina Henschel
Details
document with draw:transform="skewY()" on rectangle and on curve (12.62 KB, application/vnd.oasis.opendocument.presentation)
2016-03-10 17:57 UTC, Regina Henschel
Details
screenshot in build of aw080 (17.36 KB, image/png)
2016-03-10 17:59 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-03-10 16:19:45 UTC
Created attachment 123469 [details]
shearY on rectangle and on curve

Open attached file and compare it with the attached picture. Zoom out to see the drawing objects.

The file contains a dark blue rectangle and a yellow curve which have got the attribute draw:transform="skewY(-0.959931088596881)". The light blue rectangle and the black curve have the same definition but without draw:transform. The red border shows, where the draw objects should be.
-0.959931088596881 radians = -55 degrees

The screenshot with the correct import is taken from a build of Armin's cws aw080.
Comment 1 Regina Henschel 2016-03-10 16:20:46 UTC
Created attachment 123470 [details]
image of how it should be imported
Comment 2 Regina Henschel 2016-03-10 17:57:25 UTC
Created attachment 123473 [details]
document with draw:transform="skewY()" on rectangle and on curve
Comment 3 Regina Henschel 2016-03-10 17:59:49 UTC
Created attachment 123474 [details]
screenshot in build of aw080

I'm not sure about the orientation of the angle in the solution in aw080. That needs a discussion with the ODF TC.
Comment 4 Buovjaga 2016-03-10 19:22:49 UTC
Confirmed.

64-bit, KDE Plasma 5
Build ID: 5.1.0.3 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 5 QA Administrators 2017-05-22 13:19:44 UTC Comment hidden (obsolete)
Comment 6 Regina Henschel 2017-05-22 17:43:45 UTC
The error still exists in Version: 5.4.0.0.alpha1+
Build ID: 965494c544dd8f35ae83b7cf38549009da06c367
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-10_23:06:27
Locale: de-DE (de_DE); Calc: group
Comment 7 QA Administrators 2018-05-23 02:37:22 UTC Comment hidden (obsolete)
Comment 8 Regina Henschel 2018-05-23 20:52:19 UTC
The error still exists in Version: 6.1.0.0.alpha1+ (x64)
Build ID: 88051c660fc6759346a01bc559818d3e23f8f55c
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL
Comment 9 QA Administrators 2019-05-24 02:57:05 UTC Comment hidden (obsolete)
Comment 10 Regina Henschel 2019-05-24 11:09:56 UTC
The error still exists in Version: 6.3.0.0.alpha1+ (x64)
Build ID: 115ab48f86d4e3c6eede49767df1ee5a82b4ab22
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-05-20_17:50:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 11 Regina Henschel 2020-01-03 23:53:28 UTC
Not duplicate, but will be fixed together with bug 98583.
Comment 12 Commit Notification 2020-01-17 17:04:43 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bc886f523872d4f9845c188c7d525d72a1a60946

tdf#98584 Correct import draw:transform values skewY and matrix

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.